diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/link-template.php ./wordpress-3.3/wp-includes/link-template.php
*** ./wordpress-3.2.1/wp-includes/link-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/link-template.php	2011-10-24 14:13:23.000000000 -0500
***************
*** 560,566 ****
  /**
   * Retrieve the feed link for a category.
   *
!  * Returns a link to the feed for all post in a given category. A specific feed
   * can be requested or left blank to get the default feed.
   *
   * @package WordPress
--- 560,566 ----
  /**
   * Retrieve the feed link for a category.
   *
!  * Returns a link to the feed for all posts in a given category. A specific feed
   * can be requested or left blank to get the default feed.
   *
   * @package WordPress
***************
*** 576,584 ****
  }
  
  /**
!  * Retrieve the feed link for a taxonomy.
   *
!  * Returns a link to the feed for all post in a given term. A specific feed
   * can be requested or left blank to get the default feed.
   *
   * @since 3.0
--- 576,584 ----
  }
  
  /**
!  * Retrieve the feed link for a term.
   *
!  * Returns a link to the feed for all posts in a given term. A specific feed
   * can be requested or left blank to get the default feed.
   *
   * @since 3.0
***************
*** 586,592 ****
   * @param int $term_id ID of a category.
   * @param string $taxonomy Optional. Taxonomy of $term_id
   * @param string $feed Optional. Feed type.
!  * @return string Link to the feed for the taxonomy specified by $term_id and $taxonomy.
  */
  function get_term_feed_link( $term_id, $taxonomy = 'category', $feed = '' ) {
  	global $wp_rewrite;
--- 586,592 ----
   * @param int $term_id ID of a category.
   * @param string $taxonomy Optional. Taxonomy of $term_id
   * @param string $feed Optional. Feed type.
!  * @return string Link to the feed for the term specified by $term_id and $taxonomy.
  */
  function get_term_feed_link( $term_id, $taxonomy = 'category', $feed = '' ) {
  	global $wp_rewrite;
***************
*** 895,901 ****
   * @since 2.3.0
   *
   * @param int $id Optional. Post ID.
!  * @param string $context Optional, default to display. How to write the '&', defaults to '&amp;'.
   * @return string
   */
  function get_edit_post_link( $id = 0, $context = 'display' ) {
--- 895,901 ----
   * @since 2.3.0
   *
   * @param int $id Optional. Post ID.
!  * @param string $context Optional, defaults to display. How to write the '&', defaults to '&amp;'.
   * @return string
   */
  function get_edit_post_link( $id = 0, $context = 'display' ) {
***************
*** 1064,1071 ****
   *
   * @since 1.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
  function get_previous_post($in_same_cat = false, $excluded_categories = '') {
--- 1064,1071 ----
   *
   * @since 1.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
  function get_previous_post($in_same_cat = false, $excluded_categories = '') {
***************
*** 1077,1084 ****
   *
   * @since 1.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
  function get_next_post($in_same_cat = false, $excluded_categories = '') {
--- 1077,1084 ----
   *
   * @since 1.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
  function get_next_post($in_same_cat = false, $excluded_categories = '') {
***************
*** 1092,1103 ****
   *
   * @since 2.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   * @param bool $previous Optional. Whether to retrieve previous post.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
! function get_adjacent_post($in_same_cat = false, $excluded_categories = '', $previous = true) {
  	global $post, $wpdb;
  
  	if ( empty( $post ) )
--- 1092,1103 ----
   *
   * @since 2.5.0
   *
!  * @param bool $in_same_cat Optional. Whether post should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   * @param bool $previous Optional. Whether to retrieve previous post.
   * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
   */
! function get_adjacent_post( $in_same_cat = false, $excluded_categories = '', $previous = true ) {
  	global $post, $wpdb;
  
  	if ( empty( $post ) )
***************
*** 1107,1113 ****
  
  	$join = '';
  	$posts_in_ex_cats_sql = '';
! 	if ( $in_same_cat || !empty($excluded_categories) ) {
  		$join = " INNER JOIN $wpdb->term_relationships AS tr ON p.ID = tr.object_id INNER JOIN $wpdb->term_taxonomy tt ON tr.term_taxonomy_id = tt.term_taxonomy_id";
  
  		if ( $in_same_cat ) {
--- 1107,1113 ----
  
  	$join = '';
  	$posts_in_ex_cats_sql = '';
! 	if ( $in_same_cat || ! empty( $excluded_categories ) ) {
  		$join = " INNER JOIN $wpdb->term_relationships AS tr ON p.ID = tr.object_id INNER JOIN $wpdb->term_taxonomy tt ON tr.term_taxonomy_id = tt.term_taxonomy_id";
  
  		if ( $in_same_cat ) {
***************
*** 1116,1124 ****
  		}
  
  		$posts_in_ex_cats_sql = "AND tt.taxonomy = 'category'";
! 		if ( !empty($excluded_categories) ) {
! 			$excluded_categories = array_map('intval', explode(' and ', $excluded_categories));
! 			if ( !empty($cat_array) ) {
  				$excluded_categories = array_diff($excluded_categories, $cat_array);
  				$posts_in_ex_cats_sql = '';
  			}
--- 1116,1135 ----
  		}
  
  		$posts_in_ex_cats_sql = "AND tt.taxonomy = 'category'";
! 		if ( ! empty( $excluded_categories ) ) {
! 			if ( ! is_array( $excluded_categories ) ) {
! 				// back-compat, $excluded_categories used to be IDs separated by " and "
! 				if ( strpos( $excluded_categories, ' and ' ) !== false ) {
! 					_deprecated_argument( __FUNCTION__, '3.3', sprintf( __( 'Use commas instead of %s to separate excluded categories.' ), "'and'" ) );
! 					$excluded_categories = explode( ' and ', $excluded_categories );
! 				} else {
! 					$excluded_categories = explode( ',', $excluded_categories );
! 				}
! 			}
! 
! 			$excluded_categories = array_map( 'intval', $excluded_categories );
! 
! 			if ( ! empty( $cat_array ) ) {
  				$excluded_categories = array_diff($excluded_categories, $cat_array);
  				$posts_in_ex_cats_sql = '';
  			}
***************
*** 1159,1167 ****
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
!  * @param bool $previous Optional, default is true. Whether display link to previous post.
   * @return string
   */
  function get_adjacent_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '', $previous = true) {
--- 1170,1178 ----
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
!  * @param bool $previous Optional, default is true. Whether to display link to previous or next post.
   * @return string
   */
  function get_adjacent_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '', $previous = true) {
***************
*** 1196,1203 ****
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   */
  function adjacent_posts_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', true);
--- 1207,1214 ----
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   */
  function adjacent_posts_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', true);
***************
*** 1207,1213 ****
  /**
   * Display relational links for the posts adjacent to the current post for single post pages.
   *
!  * This is meant to be attached to actions like 'wp_head'.  Do not call this directly in plugins or theme templates.
   * @since 3.0.0
   *
   */
--- 1218,1224 ----
  /**
   * Display relational links for the posts adjacent to the current post for single post pages.
   *
!  * This is meant to be attached to actions like 'wp_head'. Do not call this directly in plugins or theme templates.
   * @since 3.0.0
   *
   */
***************
*** 1223,1230 ****
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   */
  function next_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', false);
--- 1234,1241 ----
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   */
  function next_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', false);
***************
*** 1236,1243 ****
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   */
  function prev_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', true);
--- 1247,1254 ----
   * @since 2.8.0
   *
   * @param string $title Optional. Link title format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   */
  function prev_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
  	echo get_adjacent_post_rel_link($title, $in_same_cat, $excluded_categories = '', true);
***************
*** 1247,1288 ****
   * Retrieve boundary post.
   *
   * Boundary being either the first or last post by publish date within the constraints specified
!  * by in same category or excluded categories.
   *
   * @since 2.8.0
   *
!  * @param bool $in_same_cat Optional. Whether returned post should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   * @param bool $start Optional. Whether to retrieve first or last post.
   * @return object
   */
! function get_boundary_post($in_same_cat = false, $excluded_categories = '', $start = true) {
  	global $post;
  
! 	if ( empty($post) || !is_single() || is_attachment() )
  		return null;
  
  	$cat_array = array();
! 	$excluded_categories = array();
! 	if ( !empty($in_same_cat) || !empty($excluded_categories) ) {
! 		if ( !empty($in_same_cat) ) {
! 			$cat_array = wp_get_object_terms($post->ID, 'category', array('fields' => 'ids'));
! 		}
  
! 		if ( !empty($excluded_categories) ) {
! 			$excluded_categories = array_map('intval', explode(',', $excluded_categories));
! 
! 			if ( !empty($cat_array) )
! 				$excluded_categories = array_diff($excluded_categories, $cat_array);
  
  			$inverse_cats = array();
! 			foreach ( $excluded_categories as $excluded_category)
  				$inverse_cats[] = $excluded_category * -1;
  			$excluded_categories = $inverse_cats;
  		}
  	}
  
! 	$categories = implode(',', array_merge($cat_array, $excluded_categories) );
  
  	$order = $start ? 'ASC' : 'DESC';
  
--- 1258,1298 ----
   * Retrieve boundary post.
   *
   * Boundary being either the first or last post by publish date within the constraints specified
!  * by $in_same_cat or $excluded_categories.
   *
   * @since 2.8.0
   *
!  * @param bool $in_same_cat Optional. Whether returned post should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   * @param bool $start Optional. Whether to retrieve first or last post.
   * @return object
   */
! function get_boundary_post( $in_same_cat = false, $excluded_categories = '', $start = true ) {
  	global $post;
  
! 	if ( empty($post) || ! is_single() || is_attachment() )
  		return null;
  
  	$cat_array = array();
! 	if( ! is_array( $excluded_categories ) )
! 		$excluded_categories = explode( ',', $excluded_categories );
  
! 	if ( $in_same_cat || ! empty( $excluded_categories ) ) {
! 		if ( $in_same_cat )
! 			$cat_array = wp_get_object_terms( $post->ID, 'category', array( 'fields' => 'ids' ) );
! 
! 		if ( ! empty( $excluded_categories ) ) {
! 			$excluded_categories = array_map( 'intval', $excluded_categories );
! 			$excluded_categories = array_diff( $excluded_categories, $cat_array );
  
  			$inverse_cats = array();
! 			foreach ( $excluded_categories as $excluded_category )
  				$inverse_cats[] = $excluded_category * -1;
  			$excluded_categories = $inverse_cats;
  		}
  	}
  
! 	$categories = implode( ',', array_merge( $cat_array, $excluded_categories ) );
  
  	$order = $start ? 'ASC' : 'DESC';
  
***************
*** 1290,1413 ****
  }
  
  /**
-  * Get boundary post relational link.
-  *
-  * Can either be start or end post relational link.
-  *
-  * @since 2.8.0
-  *
-  * @param string $title Optional. Link title format.
-  * @param bool $in_same_cat Optional. Whether link should be in same category.
-  * @param string $excluded_categories Optional. Excluded categories IDs.
-  * @param bool $start Optional, default is true. Whether display link to first or last post.
-  * @return string
-  */
- function get_boundary_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '', $start = true) {
- 	$posts = get_boundary_post($in_same_cat, $excluded_categories, $start);
- 	// If there is no post stop.
- 	if ( empty($posts) )
- 		return;
- 
- 	// Even though we limited get_posts to return only 1 item it still returns an array of objects.
- 	$post = $posts[0];
- 
- 	if ( empty($post->post_title) )
- 		$post->post_title = $start ? __('First Post') : __('Last Post');
- 
- 	$date = mysql2date(get_option('date_format'), $post->post_date);
- 
- 	$title = str_replace('%title', $post->post_title, $title);
- 	$title = str_replace('%date', $date, $title);
- 	$title = apply_filters('the_title', $title, $post->ID);
- 
- 	$link = $start ? "<link rel='start' title='" : "<link rel='end' title='";
- 	$link .= esc_attr($title);
- 	$link .= "' href='" . get_permalink($post) . "' />\n";
- 
- 	$boundary = $start ? 'start' : 'end';
- 	return apply_filters( "{$boundary}_post_rel_link", $link );
- }
- 
- /**
-  * Display relational link for the first post.
-  *
-  * @since 2.8.0
-  *
-  * @param string $title Optional. Link title format.
-  * @param bool $in_same_cat Optional. Whether link should be in same category.
-  * @param string $excluded_categories Optional. Excluded categories IDs.
-  */
- function start_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
- 	echo get_boundary_post_rel_link($title, $in_same_cat, $excluded_categories, true);
- }
- 
- /**
-  * Get site index relational link.
-  *
-  * @since 2.8.0
-  *
-  * @return string
-  */
- function get_index_rel_link() {
- 	$link = "<link rel='index' title='" . esc_attr( get_bloginfo( 'name', 'display' ) ) . "' href='" . esc_url( user_trailingslashit( get_bloginfo( 'url', 'display' ) ) ) . "' />\n";
- 	return apply_filters( "index_rel_link", $link );
- }
- 
- /**
-  * Display relational link for the site index.
-  *
-  * @since 2.8.0
-  */
- function index_rel_link() {
- 	echo get_index_rel_link();
- }
- 
- /**
-  * Get parent post relational link.
-  *
-  * @since 2.8.0
-  *
-  * @param string $title Optional. Link title format.
-  * @return string
-  */
- function get_parent_post_rel_link($title = '%title') {
- 	if ( ! empty( $GLOBALS['post'] ) && ! empty( $GLOBALS['post']->post_parent ) )
- 		$post = & get_post($GLOBALS['post']->post_parent);
- 
- 	if ( empty($post) )
- 		return;
- 
- 	$date = mysql2date(get_option('date_format'), $post->post_date);
- 
- 	$title = str_replace('%title', $post->post_title, $title);
- 	$title = str_replace('%date', $date, $title);
- 	$title = apply_filters('the_title', $title, $post->ID);
- 
- 	$link = "<link rel='up' title='";
- 	$link .= esc_attr( $title );
- 	$link .= "' href='" . get_permalink($post) . "' />\n";
- 
- 	return apply_filters( "parent_post_rel_link", $link );
- }
- 
- /**
-  * Display relational link for parent item
-  *
-  * @since 2.8.0
-  */
- function parent_post_rel_link($title = '%title') {
- 	echo get_parent_post_rel_link($title);
- }
- 
- /**
   * Display previous post link that is adjacent to the current post.
   *
   * @since 1.5.0
   *
   * @param string $format Optional. Link anchor format.
   * @param string $link Optional. Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   */
  function previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  	adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
--- 1300,1313 ----
  }
  
  /**
   * Display previous post link that is adjacent to the current post.
   *
   * @since 1.5.0
   *
   * @param string $format Optional. Link anchor format.
   * @param string $link Optional. Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   */
  function previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  	adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
***************
*** 1420,1427 ****
   *
   * @param string $format Optional. Link anchor format.
   * @param string $link Optional. Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
   */
  function next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  	adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
--- 1320,1327 ----
   *
   * @param string $format Optional. Link anchor format.
   * @param string $link Optional. Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
   */
  function next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  	adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
***************
*** 1436,1444 ****
   *
   * @param string $format Link anchor format.
   * @param string $link Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in same category.
!  * @param string $excluded_categories Optional. Excluded categories IDs.
!  * @param bool $previous Optional, default is true. Whether display link to previous post.
   */
  function adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
  	if ( $previous && is_attachment() )
--- 1336,1344 ----
   *
   * @param string $format Link anchor format.
   * @param string $link Link permalink format.
!  * @param bool $in_same_cat Optional. Whether link should be in a same category.
!  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
!  * @param bool $previous Optional, default is true. Whether to display link to previous or next post.
   */
  function adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
  	if ( $previous && is_attachment() )
***************
*** 1470,1476 ****
  }
  
  /**
!  * Retrieve get links for page numbers.
   *
   * @since 1.5.0
   *
--- 1370,1376 ----
  }
  
  /**
!  * Retrieve links for page numbers.
   *
   * @since 1.5.0
   *
***************
*** 1532,1538 ****
  }
  
  /**
!  * Retrieve next posts pages link.
   *
   * Backported from 2.1.3 to 2.0.10.
   *
--- 1432,1438 ----
  }
  
  /**
!  * Retrieve next posts page link.
   *
   * Backported from 2.1.3 to 2.0.10.
   *
***************
*** 1554,1560 ****
  }
  
  /**
!  * Display or return the next posts pages link.
   *
   * @since 0.71
   *
--- 1454,1460 ----
  }
  
  /**
!  * Display or return the next posts page link.
   *
   * @since 0.71
   *
***************
*** 1571,1577 ****
  }
  
  /**
!  * Return the next posts pages link.
   *
   * @since 2.7.0
   *
--- 1471,1477 ----
  }
  
  /**
!  * Return the next posts page link.
   *
   * @since 2.7.0
   *
***************
*** 1600,1606 ****
  }
  
  /**
!  * Display the next posts pages link.
   *
   * @since 0.71
   * @uses get_next_posts_link()
--- 1500,1506 ----
  }
  
  /**
!  * Display the next posts page link.
   *
   * @since 0.71
   * @uses get_next_posts_link()
***************
*** 1613,1619 ****
  }
  
  /**
!  * Retrieve previous post pages link.
   *
   * Will only return string, if not on a single page or post.
   *
--- 1513,1519 ----
  }
  
  /**
!  * Retrieve previous posts page link.
   *
   * Will only return string, if not on a single page or post.
   *
***************
*** 1635,1641 ****
  }
  
  /**
!  * Display or return the previous posts pages link.
   *
   * @since 0.71
   *
--- 1535,1541 ----
  }
  
  /**
!  * Display or return the previous posts page link.
   *
   * @since 0.71
   *
***************
*** 1651,1657 ****
  }
  
  /**
!  * Return the previous posts pages link.
   *
   * @since 2.7.0
   *
--- 1551,1557 ----
  }
  
  /**
!  * Return the previous posts page link.
   *
   * @since 2.7.0
   *
***************
*** 1736,1742 ****
  }
  
  /**
!  * Retrieve page numbers links.
   *
   * @since 2.7.0
   *
--- 1636,1642 ----
  }
  
  /**
!  * Retrieve comments page number link.
   *
   * @since 2.7.0
   *
***************
*** 1772,1778 ****
  }
  
  /**
!  * Return the link to next comments pages.
   *
   * @since 2.7.1
   *
--- 1672,1678 ----
  }
  
  /**
!  * Return the link to next comments page.
   *
   * @since 2.7.1
   *
***************
*** 1806,1812 ****
  }
  
  /**
!  * Display the link to next comments pages.
   *
   * @since 2.7.0
   *
--- 1706,1712 ----
  }
  
  /**
!  * Display the link to next comments page.
   *
   * @since 2.7.0
   *
***************
*** 1859,1865 ****
   * @see paginate_links()
   * @since 2.7.0
   *
!  * @param string|array $args Optional args. See paginate_links.
   * @return string Markup for pagination links.
  */
  function paginate_comments_links($args = array()) {
--- 1759,1765 ----
   * @see paginate_links()
   * @since 2.7.0
   *
!  * @param string|array $args Optional args. See paginate_links().
   * @return string Markup for pagination links.
  */
  function paginate_comments_links($args = array()) {
***************
*** 1925,1931 ****
  /**
   * Retrieve the home url for the current site.
   *
!  * Returns the 'home' option with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 1825,1831 ----
  /**
   * Retrieve the home url for the current site.
   *
!  * Returns the 'home' option with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 1935,1941 ****
   * @uses get_home_url()
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
   * @return string Home url link with optional path appended.
  */
  function home_url( $path = '', $scheme = null ) {
--- 1835,1841 ----
   * @uses get_home_url()
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function home_url( $path = '', $scheme = null ) {
***************
*** 1945,1951 ****
  /**
   * Retrieve the home url for a given site.
   *
!  * Returns the 'home' option with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 1845,1851 ----
  /**
   * Retrieve the home url for a given site.
   *
!  * Returns the 'home' option with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 1954,1960 ****
   *
   * @param  int $blog_id   (optional) Blog ID. Defaults to current blog.
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
   * @return string Home url link with optional path appended.
  */
  function get_home_url( $blog_id = null, $path = '', $scheme = null ) {
--- 1854,1860 ----
   *
   * @param  int $blog_id   (optional) Blog ID. Defaults to current blog.
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function get_home_url( $blog_id = null, $path = '', $scheme = null ) {
***************
*** 1980,1986 ****
  /**
   * Retrieve the site url for the current site.
   *
!  * Returns the 'site_url' option with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 1880,1886 ----
  /**
   * Retrieve the site url for the current site.
   *
!  * Returns the 'site_url' option with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 1990,1996 ****
   * @uses get_site_url()
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function site_url( $path = '', $scheme = null ) {
--- 1890,1896 ----
   * @uses get_site_url()
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function site_url( $path = '', $scheme = null ) {
***************
*** 2000,2006 ****
  /**
   * Retrieve the site url for a given site.
   *
!  * Returns the 'site_url' option with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 1900,1906 ----
  /**
   * Retrieve the site url for a given site.
   *
!  * Returns the 'site_url' option with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 2009,2015 ****
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function get_site_url( $blog_id = null, $path = '', $scheme = null ) {
--- 1909,1915 ----
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function get_site_url( $blog_id = null, $path = '', $scheme = null ) {
***************
*** 2046,2054 ****
   * @package WordPress
   * @since 2.6.0
   *
!  * @param string $path Optional path relative to the admin url
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended
  */
  function admin_url( $path = '', $scheme = 'admin' ) {
  	return get_admin_url(null, $path, $scheme);
--- 1946,1954 ----
   * @package WordPress
   * @since 2.6.0
   *
!  * @param string $path Optional path relative to the admin url.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended.
  */
  function admin_url( $path = '', $scheme = 'admin' ) {
  	return get_admin_url(null, $path, $scheme);
